- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# fipMetadataFind Class Reference

`#include <FreeImagePlus.h>`

Inheritance diagram for fipMetadataFind:

List of all members.

## Detailed Description

Metadata iterator.

Usage :

    fipImage image;
    // ...
    fipTag tag;
    fipMetadataFind finder;
    if( finder.findFirstMetadata(FIMD_EXIF_MAIN, image, tag) ) {
      do {
        // process the tag
    	cout << tag.getKey() << "\n";

      } while( finder.findNextMetadata(tag) );
    }
    // the class can be called again with another metadata model
    if( finder.findFirstMetadata(FIMD_EXIF_EXIF, image, tag) ) {
      do {
        // process the tag
    	cout << tag.getKey() << "\n";

      } while( finder.findNextMetadata(tag) );
    }

## Public Member Functions
BOOL | isValid () const
| Returns TRUE if the search handle is allocated, FALSE otherwise.
| fipMetadataFind ()
| Constructor.
virtual | ~fipMetadataFind ()
| Destructor.
BOOL | findFirstMetadata (FREE_IMAGE_MDMODEL model, fipImage &image, fipTag &tag)
| Provides information about the first instance of a tag that matches the metadata model specified in the model argument.
BOOL | findNextMetadata (fipTag &tag)
| Find the next tag, if any, that matches the metadata model argument in a previous call to findFirstMetadata.
## Protected Attributes
FIMETADATA * | _mdhandle
| Pointer to a search handle.

## Constructor & Destructor Documentation

fipMetadataFind::fipMetadataFind | ( |  | ) |

Constructor.

virtual fipMetadataFind::~fipMetadataFind | ( |  | ) | `[virtual]`

Destructor.

See also:
  FreeImage_FindCloseMetadata

## Member Function Documentation

BOOL fipMetadataFind::isValid | ( |  | ) | const`[virtual]`

Returns TRUE if the search handle is allocated, FALSE otherwise.

Implements fipObject.

BOOL fipMetadataFind::findFirstMetadata | ( | FREE_IMAGE_MDMODEL | model,
|  | fipImage & | image,
|  | fipTag & | tag |
| ) |  |  |

Provides information about the first instance of a tag that matches the metadata model specified in the model argument.

Parameters:

  | model | Metadata model
  | image | Input image
  | tag | Returned tag

Returns:
  Returns TRUE if successful, returns FALSE otherwise

See also:
  FreeImage_FindFirstMetadata

BOOL fipMetadataFind::findNextMetadata | ( | fipTag & | tag | ) |

Find the next tag, if any, that matches the metadata model argument in a previous call to findFirstMetadata.

Parameters:

  | tag | Returned tag

Returns:
  Returns TRUE if successful, returns FALSE otherwise, indicating that no more matching tags could be found

See also:
  FreeImage_FindNextMetadata

## Member Data Documentation

FIMETADATA* fipMetadataFind::_mdhandle`[protected]`

Pointer to a search handle.

The documentation for this class was generated from the following file:

- FreeImagePlus.h